utility File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_as_const
#define | __cpp_lib_constexpr_algorithms
#define | __cpp_lib_exchange_function
#define | __cpp_lib_integer_comparison_functions
#define | _GLIBCXX_UTILITY

## Functions

template<typename _Tp>
constexpr add_const_t< _Tp > & | std::as_const (_Tp &__t) noexcept
template<typename _Tp>
void | std::as_const (const _Tp &&)=delete
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_equal (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_greater (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_greater_equal (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_less (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_less_equal (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::cmp_not_equal (_Tp __t, _Up __u) noexcept
template<typename _Tp, typename _Up = _Tp>
constexpr _Tp | std::exchange (_Tp &__obj, _Up &&__new_val) noexcept(__and_< is_nothrow_move_constructible< _Tp >, is_nothrow_assignable< _Tp &, _Up > >::value)
template<typename _Res, typename _Tp>
constexpr bool | std::in_range (_Tp __t) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file utility.

## Macro Definition Documentation

## __cpp_lib_as_const

#define __cpp_lib_as_const

Definition at line 104 of file utility.

## __cpp_lib_constexpr_algorithms

#define __cpp_lib_constexpr_algorithms

Definition at line 90 of file utility.

## __cpp_lib_exchange_function

#define __cpp_lib_exchange_function

Definition at line 87 of file utility.

## __cpp_lib_integer_comparison_functions

#define __cpp_lib_integer_comparison_functions

Definition at line 115 of file utility.

## _GLIBCXX_UTILITY

#define _GLIBCXX_UTILITY

Definition at line 56 of file utility.